
Redmine - Defect #17453

Linking to page on same domain...

2014-07-12 19:04 - Friedrich Schiller

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hi there!

Normally, when using

"Link to projects":/projects

 results in:

 Link to projects    (www.redmineserver.org/projects)

However, if redmine-website is located under say

     www.redmineserver.org/redm/

then

"Link to projects":/projects

will incorrectly link to

   www.redmineserver.org/projects    

It should actually link to

   www.redmineserver.org/redm/projects

The problem is there, even if I have set

Administration->Settings->General

Host name and path: redmineserver.org/redm

Suggestion:

Perhaps a new syntax is needed...

"link":/projects    # links to <Host name and path>/projects

"link"::/otherpage  # links to <Host name>/otherpage

                    #          <Host name and path>

                    #          as set under:

                    #          Administration->Settings->General

History

#1 - 2014-07-13 02:44 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Link to projects does not included hostname.
#2 - 2014-07-13 02:48 - Toshi MARUYAMA

You can use project:redmine.
